Skip to main content
GET
Stream pipeline step execution logs (SSE)

Path Parameters

id
string
required

Query Parameters

startTime
string | null

Start time for historical logs (ISO 8601). Defaults to the step execution's startedAt, falling back to createdAt.

endTime
string | null

End time for historical logs (ISO 8601). Defaults to 30 seconds after completedAt for completed steps, otherwise now. Ignored if tail=true.

tail
boolean | null

If true, after fetching historical logs, switch to live tail mode for real-time streaming

filterPattern
string | null

Optional CloudWatch FilterPattern (e.g. "ERROR" or ""deploy_id":"abc"") applied to historical and live-tail events. Empty string disables filtering.

Response

200 - text/event-stream

SSE stream of CloudWatch log events

SSE event containing a batch of log events

events
object[]
required

Batch of log events

isFinal
boolean
required

Whether this is the final batch of historical logs